/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#include <gtk/gtk.h>

#include "support.h"

void execute_program(gchar * filename)
{
	gchar *system_call;
	
	if (g_ascii_strncasecmp(filename, "logout", 6) != 0) {
		system_call = g_strconcat(filename, " &", NULL);
		system(system_call);
		g_free(system_call);
	} else {
		gtk_main_quit();
	}
}
GtkWidget *icon_label(gchar * icon_filename)
{
	GtkWidget *box;
	GtkWidget *image;
	GdkPixbuf *gp, *gps;
	GError *error = NULL;

	/* Create box for image and label */
	box = gtk_hbox_new(FALSE, 0);
	gtk_container_set_border_width(GTK_CONTAINER(box), 0);

	/* Now on to the image stuff */
	gp = gdk_pixbuf_new_from_file(icon_filename, &error);
	if (error) {
		g_error("%s\n", error->message);
	}
	gps = gdk_pixbuf_scale_simple(gp, 36, 36, GDK_INTERP_BILINEAR);
	image = gtk_image_new_from_pixbuf(gps);
	g_free(gp);

	/* Pack the image and label into the box */
	gtk_box_pack_start(GTK_BOX(box), image, FALSE, FALSE, 3);

	gtk_widget_show(image);

	return box;
}
